<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: vicoquery.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00014_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">vicoquery.h</div></div>
</div><!--header-->
<div class="contents">
<a href="a00014.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef VICOQUERY_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define VICOQUERY_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="a00011.html">vicolibglobal.h</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &quot;<a class="code" href="a00008.html">types.h</a>&quot;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;QLocalSocket&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QDataStream&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QtCore&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="a00014.html#a1ca76313cc355df55bebb429273dbf42">    9</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a1ca76313cc355df55bebb429273dbf42">API_MCA</a> = QLatin1String(<span class="stringliteral">&quot;mca&quot;</span>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="a00014.html#af5b0aad33c573a8b41198ce110a4c8d7">   10</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#af5b0aad33c573a8b41198ce110a4c8d7">API_DATA</a> = QLatin1String(<span class="stringliteral">&quot;data&quot;</span>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="a00014.html#a830a44e4f1bd63295d1bbbd8927b15bd">   11</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a830a44e4f1bd63295d1bbbd8927b15bd">API_DATAGRAM_FIRMWARE</a> = QLatin1String(<span class="stringliteral">&quot;fw&quot;</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="a00014.html#a45006cd3a355dbddc0b29c0b73d18abb">   12</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a45006cd3a355dbddc0b29c0b73d18abb">API_STATUSTYPE</a> = QLatin1String(<span class="stringliteral">&quot;statusType&quot;</span>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="a00014.html#aa22c14b270d575213ef90374980e8308">   13</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#aa22c14b270d575213ef90374980e8308">API_INTERNAL_GETDEVICEINFOBYINDEX</a> = QLatin1String(<span class="stringliteral">&quot;getDeviceInfoByIndex&quot;</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="a00014.html#abb43f4d6e8d0cc344cc19c4c09988eba">   14</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#abb43f4d6e8d0cc344cc19c4c09988eba">API_INTERNAL_GET_PREFERRED_INTERFACE</a> = QLatin1String(<span class="stringliteral">&quot;getPreferredInterface&quot;</span>);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="a00014.html#a331f9d59ce4d1e77a9e1adbf0874c890">   15</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a331f9d59ce4d1e77a9e1adbf0874c890">API_INTERNAL_SET_PREFERRED_INTERFACE</a> = QLatin1String(<span class="stringliteral">&quot;setPreferredInterface&quot;</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="a00014.html#a7269dc3ce6e3e9d2e607205b07dced5f">   16</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a7269dc3ce6e3e9d2e607205b07dced5f">API_INTERNAL_REFRESHDEVICECONNECTIONS</a> = QLatin1String(<span class="stringliteral">&quot;refreshDeviceConnections&quot;</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="a00014.html#a42a15cb15340702556689336a8a13341">   17</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a42a15cb15340702556689336a8a13341">API_INTERNAL_GETNUMBERDEVICES</a> = QLatin1String(<span class="stringliteral">&quot;getNumberDevices&quot;</span>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="a00014.html#a46337d2742c581e71032db1d15d0042d">   18</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a46337d2742c581e71032db1d15d0042d">API_MCU_PROTOCOL_VERSION</a> = QLatin1String(<span class="stringliteral">&quot;MCU_PROTOCOL_VERSION&quot;</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="a00014.html#aa840ae843ecaef0d07915ee43090bcf8">   19</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#aa840ae843ecaef0d07915ee43090bcf8">API_INTERNAL_SCANTCP</a> = QLatin1String(<span class="stringliteral">&quot;scanTcp&quot;</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="a00014.html#a05a3bbcb5a367ab62a44132b910fc2d7">   20</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a05a3bbcb5a367ab62a44132b910fc2d7">API_INTERNAL_SCANUDP</a> = QLatin1String(<span class="stringliteral">&quot;scanUdp&quot;</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="a00014.html#abac1022b9c4987b2a54b8133e8831b92">   21</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#abac1022b9c4987b2a54b8133e8831b92">API_INTERNAL_SCANUSB</a> = QLatin1String(<span class="stringliteral">&quot;scanUsb&quot;</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="a00014.html#a9046fa9cf062d7d701a7e8d85da9e82a">   22</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a9046fa9cf062d7d701a7e8d85da9e82a">API_INTERNAL_SCANUSBHID</a> = QLatin1String(<span class="stringliteral">&quot;scanUsbHid&quot;</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="a00014.html#ae56e73d9d59ed8b6238fc689179626db">   23</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#ae56e73d9d59ed8b6238fc689179626db">API_INTERNAL_STOPTCP</a> = QLatin1String(<span class="stringliteral">&quot;stopTcp&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="a00014.html#a0e9cb76b35714bfdd3206be09e9eb63d">   24</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a0e9cb76b35714bfdd3206be09e9eb63d">API_INTERNAL_STOPUDP</a> = QLatin1String(<span class="stringliteral">&quot;stopUdp&quot;</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="a00014.html#a4d81cd0e04d8b476cfe482e5138f674f">   25</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a4d81cd0e04d8b476cfe482e5138f674f">API_INTERNAL_DAEMONVERSION</a> = QLatin1String(<span class="stringliteral">&quot;daemonversion&quot;</span>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="a00014.html#acd1cf6e1c9660e0f3c6a5774d254b842">   26</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#acd1cf6e1c9660e0f3c6a5774d254b842">API_INTERNAL_SETDAEMONLOGLEVEL</a> = QLatin1String(<span class="stringliteral">&quot;setLogLevel&quot;</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="a00014.html#ac72b2a35a41b23b93423672943e0e865">   27</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#ac72b2a35a41b23b93423672943e0e865">API_INTERNAL_GETDAEMONLOGLEVEL</a> = QLatin1String(<span class="stringliteral">&quot;getLogLevel&quot;</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="a00014.html#a8d49a87c9046275d6ca203967e61cfd6">   28</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a8d49a87c9046275d6ca203967e61cfd6">API_INTERNAL_DAEMONLOGLEVEL_KEY</a> = QLatin1String(<span class="stringliteral">&quot;logLevel&quot;</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="a00014.html#aff1ff3a5e1994991f73292bf8484d19b">   29</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#aff1ff3a5e1994991f73292bf8484d19b">API_INTERNAL_SETHOSTIPADDRESS</a> = QLatin1String(<span class="stringliteral">&quot;setHostIpAddress&quot;</span>);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="a00014.html#a564c724a31caff63631df706833f4ecf">   30</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a564c724a31caff63631df706833f4ecf">API_INTERNAL_GETHOSTIPADDRESS</a> = QLatin1String(<span class="stringliteral">&quot;getHostIpAddress&quot;</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="a00014.html#a7e6309d7350d4bf6b1091728ccb20146">   31</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#a7e6309d7350d4bf6b1091728ccb20146">API_INTERNAL_DEVICE_IP_ADDRESS_KEY</a> = QLatin1String(<span class="stringliteral">&quot;deviceIpAddress&quot;</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="a00014.html#ab95550286f93dfcb2750ad876f73d030">   32</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#ab95550286f93dfcb2750ad876f73d030">API_INTERNAL_HOST_IP_ADDRESS_KEY</a> = QLatin1String(<span class="stringliteral">&quot;hostIPAddress&quot;</span>);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="a00014.html#afd96ef7c95c544388e074d8c03dd4666">   33</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#afd96ef7c95c544388e074d8c03dd4666">API_INTERNAL_REMOVE_DEVICE_CONNECTION</a> = QLatin1String(<span class="stringliteral">&quot;removeDeviceConnection&quot;</span>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="a00014.html#ad859707f7c9a34532f439d38acdffa1f">   34</a></span><span class="keyword">const</span> QString <a class="code hl_variable" href="a00014.html#ad859707f7c9a34532f439d38acdffa1f">API_INTERNAL_DAEMON_CONNECTION</a> = QLatin1String(<span class="stringliteral">&quot;daemonConnection&quot;</span>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="foldopen" id="foldopen00039" data-start="{" data-end="};">
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="a00086.html">   39</a></span><span class="keyword">class </span><a class="code hl_class" href="a00086.html">VicoQuery</a> : <span class="keyword">public</span> QObject {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    Q_OBJECT</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="a00086.html#a68e9ba5dd1a19bb9cd86d7781115d2c0">   43</a></span>    <a class="code hl_function" href="a00086.html#a68e9ba5dd1a19bb9cd86d7781115d2c0">VicoQuery</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="comment">// Executes VICOLib-internal requests</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="a00086.html#a87e3447c5f051d1d3d35bb5116205cb3">   45</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a87e3447c5f051d1d3d35bb5116205cb3">execute</a>(<span class="keyword">const</span> QString &amp;<span class="keywordtype">id</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// Executes getDeviceInfoByIndex</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="a00086.html#a809b4703e53ffe06b6b32f0e4a243d3c">   47</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a809b4703e53ffe06b6b32f0e4a243d3c">execute</a>(<span class="keyword">const</span> QString &amp;request, quint8 index);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// Executes getPreferredInterface</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="a00086.html#aa63e4142898bd0583e114cc6e7ce14e2">   49</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#aa63e4142898bd0583e114cc6e7ce14e2">execute</a>(<span class="keyword">const</span> QString &amp;request, quint64 deviceId);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">// Executes setLogLevel (can be adjusted to execute anything using QVariantMap)</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="a00086.html#ad484cd2d3a7beb69fe65d0e2817d1e43">   51</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#ad484cd2d3a7beb69fe65d0e2817d1e43">execute</a>(<span class="keyword">const</span> QString &amp;request, QVariant data);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="comment">// Executes setPreferredInterface</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="a00086.html#a8b88ad6b2b8a7cd3938a678bd930411e">   53</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a8b88ad6b2b8a7cd3938a678bd930411e">execute</a>(<span class="keyword">const</span> QString &amp;request, quint64 deviceId, quint8 preferredInterface);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="comment">// Executes TCP Scan with from-to IP address</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="a00086.html#a268c1876c5b2b6a9740542254d83bcd2">   55</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a268c1876c5b2b6a9740542254d83bcd2">execute</a>(<span class="keyword">const</span> QString &amp;request, <span class="keyword">const</span> QString &amp;fromIpAddress, <span class="keyword">const</span> QString &amp;toIpAddress, <span class="keyword">const</span> <span class="keywordtype">bool</span> &amp;useBinding);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// Executes UDP Scan with IP address and the subnetmask to be scanned</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="a00086.html#a609f8463820d3d2edea41359384db123">   57</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a609f8463820d3d2edea41359384db123">execute</a>(<span class="keyword">const</span> QString &amp;request, <span class="keyword">const</span> QString &amp;fromIpAddress, <span class="keyword">const</span> quint8, <span class="keyword">const</span> <span class="keywordtype">bool</span> &amp;useBinding);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// Executes the DPP datagram</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="a00086.html#a4b5d629278170fb51627c36772e788ba">   59</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a4b5d629278170fb51627c36772e788ba">execute</a>(quint64 deviceId, quint8 pid, quint8 command, quint16 data, quint16 size = 4);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// Executes the DPP write firmware datagram</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="a00086.html#a5a583df02aec4dbaefe4a4f9512e655e">   61</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#a5a583df02aec4dbaefe4a4f9512e655e">execute</a>(quint64 deviceId, quint8 pid, quint8 command, quint16 segmentNumber, uchar* firmwareSection);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <span class="comment">// Executes the MCU datagram</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="a00086.html#ab6de25ffc17197c525d860fa07167895">   63</a></span>    QJsonObject <a class="code hl_function" href="a00086.html#ab6de25ffc17197c525d860fa07167895">execute</a>(quint64 deviceId, quint8 ver, quint8 cix, quint8 cl, quint16 requestedDataLength, <span class="keywordtype">int</span> dataByteCount, ...);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>signals:</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="a00086.html#a8fc210aa881f02f3fa8b6ce27ce0a972">   66</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="a00086.html#a8fc210aa881f02f3fa8b6ce27ce0a972">dataReceived</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="keyword">private</span> slots:</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="a00086.html#a183cf5f7bae87d5d3624c9ab97ad2249">   69</a></span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="a00086.html#a183cf5f7bae87d5d3624c9ab97ad2249">reportError</a>(QLocalSocket::LocalSocketError socketError);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="a00086.html#a05816ef09ace76197de49763cb05760c">   70</a></span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="a00086.html#a05816ef09ace76197de49763cb05760c">onDataReceived</a>();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="a00086.html#a29aeafb7a1d3ec392788d1ccf4c12794">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="a00086.html#a29aeafb7a1d3ec392788d1ccf4c12794">onDisconnected</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="a00086.html#a683f5665bf529328a56ade89e73c40b7">   72</a></span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="a00086.html#a683f5665bf529328a56ade89e73c40b7">onConnected</a>();</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// Targeted request of internal function</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="a00086.html#a50507ce10620cb878178ed28bc83d8c2">   76</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a50507ce10620cb878178ed28bc83d8c2">API_DATAGRAM_REQUEST</a> = QLatin1String(<span class="stringliteral">&quot;request&quot;</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">// Targeted request of internal function</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="a00086.html#a85f7ccd79963b16d952eb5e93ccba4ba">   78</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a85f7ccd79963b16d952eb5e93ccba4ba">API_DATAGRAM_FROM_IP</a> = QLatin1String(<span class="stringliteral">&quot;fromIp&quot;</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="comment">// Targeted request of internal function</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="a00086.html#a38d802a925ecf5e699f1a4f9f190e708">   80</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a38d802a925ecf5e699f1a4f9f190e708">API_DATAGRAM_TO_IP</a> = QLatin1String(<span class="stringliteral">&quot;toIp&quot;</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    <span class="comment">// Targeted request of internal function</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="a00086.html#a5df32a64cf2e2af065bb458e944e1f42">   82</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a5df32a64cf2e2af065bb458e944e1f42">API_DATAGRAM_UDPSCAN_IP</a> = QLatin1String(<span class="stringliteral">&quot;udpScanIp&quot;</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    <span class="comment">// Targeted request of internal function</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="a00086.html#a6d39a0e96b29b537caad8f3bc558da3b">   84</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a6d39a0e96b29b537caad8f3bc558da3b">API_DATAGRAM_UDPSCAN_SUBNETMASK</a> = QLatin1String(<span class="stringliteral">&quot;udpScanSubnetMask&quot;</span>);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    <span class="comment">// Targeted request of internal function</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="a00086.html#a9df4e33e1b37e3b2031f0a9943c47cb0">   86</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a9df4e33e1b37e3b2031f0a9943c47cb0">API_DATAGRAM_ETH_SCAN_USE_BINDING</a> = QLatin1String(<span class="stringliteral">&quot;useBinding&quot;</span>);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">// Targeted device of DPP Datagram</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="a00086.html#a8d9030558809e6ac7295a892c0f05bfe">   88</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a8d9030558809e6ac7295a892c0f05bfe">API_DATAGRAM_DEVICE</a> = QLatin1String(<span class="stringliteral">&quot;device&quot;</span>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// Target preferred interface</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="a00086.html#ad7f18f55e68b670055865faebd110e2b">   90</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#ad7f18f55e68b670055865faebd110e2b">API_DATAGRAM_INTERFACE</a> = QLatin1String(<span class="stringliteral">&quot;interface&quot;</span>);</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// getDeviceByIndex execute</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="a00086.html#ac7ceec3e87f7cfb746a1f33697742718">   92</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#ac7ceec3e87f7cfb746a1f33697742718">API_DATAGRAM_DEVICEINDEX</a> = QLatin1String(<span class="stringliteral">&quot;deviceIndex&quot;</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="comment">// Parameter ID of DPP Datagram: 1 Byte</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="a00086.html#af29ec6fb07a3d40c8432b14bca9b8b8f">   94</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#af29ec6fb07a3d40c8432b14bca9b8b8f">API_DATAGRAM_ID</a> = QLatin1String(<span class="stringliteral">&quot;id&quot;</span>);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="comment">// Parameter VALUE of DPP Datagram: 1 Byte</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="a00086.html#a39542a9eba7e4092dbd594909ed76417">   96</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a39542a9eba7e4092dbd594909ed76417">API_DATAGRAM_DATA</a> = QLatin1String(<span class="stringliteral">&quot;data&quot;</span>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// Command of DPP Datagram: 0x00 for read, 0x01 for write</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="a00086.html#acc43a6451778a10375f7e4261368f8c0">   98</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#acc43a6451778a10375f7e4261368f8c0">API_DATAGRAM_CMD</a> = QLatin1String(<span class="stringliteral">&quot;cmd&quot;</span>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">// Size of DPP Datagram, by default 4, else non-standard size</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="a00086.html#a9181d8f45c1c6292517e0b00d8db73ec">  100</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a9181d8f45c1c6292517e0b00d8db73ec">API_DATAGRAM_SIZE</a> = QLatin1String(<span class="stringliteral">&quot;size&quot;</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="comment">// when this is enabled, vicodaemon will send the data with mcu passthrough</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="a00086.html#a02a803c439dca07dd1b628862c3d2947">  102</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a02a803c439dca07dd1b628862c3d2947">API_MCU_DATAGRAM_ENABLE</a> = QLatin1String(<span class="stringliteral">&quot;MCU_DATAGRAM&quot;</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="a00086.html#a46337d2742c581e71032db1d15d0042d">  103</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a46337d2742c581e71032db1d15d0042d">API_MCU_PROTOCOL_VERSION</a> = QLatin1String(<span class="stringliteral">&quot;MCU_PROTOCOL_VERSION&quot;</span>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="a00086.html#a36e50331980fe542b661b1b1cb041ab7">  104</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a36e50331980fe542b661b1b1cb041ab7">API_MCU_CRC</a> = QLatin1String(<span class="stringliteral">&quot;MCU_CHECKSUM&quot;</span>);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="a00086.html#a06ae574c3b84b491740508705d1be6b2">  105</a></span>    <span class="keyword">const</span> QString <a class="code hl_variable" href="a00086.html#a06ae574c3b84b491740508705d1be6b2">API_MCU_LENGTH</a> = QLatin1String(<span class="stringliteral">&quot;MCU_LENGTH&quot;</span>);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="a00086.html#a72805c83813b1f2965cc141b7389b78c">  107</a></span>    QLocalSocket <a class="code hl_variable" href="a00086.html#a72805c83813b1f2965cc141b7389b78c">socket</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="a00086.html#ab57f8f93ecece51ed609f0c3765f4504">  108</a></span>    quint32 <a class="code hl_variable" href="a00086.html#ab57f8f93ecece51ed609f0c3765f4504">blockSize</a>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="a00086.html#ad5ab4c07b7b9f44e5ef7f7450c719068">  109</a></span>    QJsonObject <a class="code hl_variable" href="a00086.html#ad5ab4c07b7b9f44e5ef7f7450c719068">lastResult</a>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="a00086.html#a1280d4b09d59f63cad2653318b778b16">  110</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="a00086.html#a1280d4b09d59f63cad2653318b778b16">socketHasErrors</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="a00086.html#a1802284730891a29060a3e6cab532272">  111</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="a00086.html#a1802284730891a29060a3e6cab532272">jsonReceived</a>(<span class="keyword">const</span> QJsonDocument &amp;jsonDoc);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="a00086.html#a869e72ce54480f78ddc261f6e50012a8">  112</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="a00086.html#a869e72ce54480f78ddc261f6e50012a8">connectToServer</a>();</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="a00086.html#a5bfb0ef289457699d750e658abfd19e5">  114</a></span>    quint16 <a class="code hl_function" href="a00086.html#a5bfb0ef289457699d750e658abfd19e5">crc16</a>(quint8 *data, quint8 offset, quint8 length) <span class="keyword">const</span>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="a00086.html#a7992fbf97547dc9a2722ae227f80b485">  115</a></span>    quint16 <a class="code hl_function" href="a00086.html#a7992fbf97547dc9a2722ae227f80b485">crc16LE</a>(quint8 *data, quint8 offset, quint8 length) <span class="keyword">const</span>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="a00086.html#a359c03477f18f0d95c0cf7627b22eb16">  117</a></span>    std::atomic_bool <a class="code hl_variable" href="a00086.html#a359c03477f18f0d95c0cf7627b22eb16">wait</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="a00086.html#aece5537b13baf9462b4468c8abf0a5cd">  118</a></span>    std::atomic_bool <a class="code hl_variable" href="a00086.html#aece5537b13baf9462b4468c8abf0a5cd">connected</a>;</div>
<div class="foldopen" id="foldopen00119" data-start="{" data-end="};">
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89">  119</a></span>    <span class="keyword">enum</span> <a class="code hl_enumeration" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89">WaitType</a> {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">  120</a></span>        <a class="code hl_enumvalue" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">Bytes</a>,</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <a class="code hl_enumvalue" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c">Disconnection</a></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c">  122</a></span>    };</div>
</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="a00086.html#a367aeb03e87f0685a3a560b6713cb4ea">  124</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="a00086.html#a367aeb03e87f0685a3a560b6713cb4ea">doWait</a>(<a class="code hl_enumeration" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89">WaitType</a> type = <a class="code hl_enumvalue" href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">WaitType::Bytes</a>, qint64 msec = 30000);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>};</div>
</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="preprocessor">#endif </span><span class="comment">// VICOQUERY_H</span></div>
<div class="ttc" id="aa00008_html"><div class="ttname"><a href="a00008.html">types.h</a></div></div>
<div class="ttc" id="aa00011_html"><div class="ttname"><a href="a00011.html">vicolibglobal.h</a></div></div>
<div class="ttc" id="aa00014_html_a05a3bbcb5a367ab62a44132b910fc2d7"><div class="ttname"><a href="a00014.html#a05a3bbcb5a367ab62a44132b910fc2d7">API_INTERNAL_SCANUDP</a></div><div class="ttdeci">const QString API_INTERNAL_SCANUDP</div><div class="ttdef"><b>Definition</b> vicoquery.h:20</div></div>
<div class="ttc" id="aa00014_html_a0e9cb76b35714bfdd3206be09e9eb63d"><div class="ttname"><a href="a00014.html#a0e9cb76b35714bfdd3206be09e9eb63d">API_INTERNAL_STOPUDP</a></div><div class="ttdeci">const QString API_INTERNAL_STOPUDP</div><div class="ttdef"><b>Definition</b> vicoquery.h:24</div></div>
<div class="ttc" id="aa00014_html_a1ca76313cc355df55bebb429273dbf42"><div class="ttname"><a href="a00014.html#a1ca76313cc355df55bebb429273dbf42">API_MCA</a></div><div class="ttdeci">const QString API_MCA</div><div class="ttdef"><b>Definition</b> vicoquery.h:9</div></div>
<div class="ttc" id="aa00014_html_a331f9d59ce4d1e77a9e1adbf0874c890"><div class="ttname"><a href="a00014.html#a331f9d59ce4d1e77a9e1adbf0874c890">API_INTERNAL_SET_PREFERRED_INTERFACE</a></div><div class="ttdeci">const QString API_INTERNAL_SET_PREFERRED_INTERFACE</div><div class="ttdef"><b>Definition</b> vicoquery.h:15</div></div>
<div class="ttc" id="aa00014_html_a42a15cb15340702556689336a8a13341"><div class="ttname"><a href="a00014.html#a42a15cb15340702556689336a8a13341">API_INTERNAL_GETNUMBERDEVICES</a></div><div class="ttdeci">const QString API_INTERNAL_GETNUMBERDEVICES</div><div class="ttdef"><b>Definition</b> vicoquery.h:17</div></div>
<div class="ttc" id="aa00014_html_a45006cd3a355dbddc0b29c0b73d18abb"><div class="ttname"><a href="a00014.html#a45006cd3a355dbddc0b29c0b73d18abb">API_STATUSTYPE</a></div><div class="ttdeci">const QString API_STATUSTYPE</div><div class="ttdef"><b>Definition</b> vicoquery.h:12</div></div>
<div class="ttc" id="aa00014_html_a46337d2742c581e71032db1d15d0042d"><div class="ttname"><a href="a00014.html#a46337d2742c581e71032db1d15d0042d">API_MCU_PROTOCOL_VERSION</a></div><div class="ttdeci">const QString API_MCU_PROTOCOL_VERSION</div><div class="ttdef"><b>Definition</b> vicoquery.h:18</div></div>
<div class="ttc" id="aa00014_html_a4d81cd0e04d8b476cfe482e5138f674f"><div class="ttname"><a href="a00014.html#a4d81cd0e04d8b476cfe482e5138f674f">API_INTERNAL_DAEMONVERSION</a></div><div class="ttdeci">const QString API_INTERNAL_DAEMONVERSION</div><div class="ttdef"><b>Definition</b> vicoquery.h:25</div></div>
<div class="ttc" id="aa00014_html_a564c724a31caff63631df706833f4ecf"><div class="ttname"><a href="a00014.html#a564c724a31caff63631df706833f4ecf">API_INTERNAL_GETHOSTIPADDRESS</a></div><div class="ttdeci">const QString API_INTERNAL_GETHOSTIPADDRESS</div><div class="ttdef"><b>Definition</b> vicoquery.h:30</div></div>
<div class="ttc" id="aa00014_html_a7269dc3ce6e3e9d2e607205b07dced5f"><div class="ttname"><a href="a00014.html#a7269dc3ce6e3e9d2e607205b07dced5f">API_INTERNAL_REFRESHDEVICECONNECTIONS</a></div><div class="ttdeci">const QString API_INTERNAL_REFRESHDEVICECONNECTIONS</div><div class="ttdef"><b>Definition</b> vicoquery.h:16</div></div>
<div class="ttc" id="aa00014_html_a7e6309d7350d4bf6b1091728ccb20146"><div class="ttname"><a href="a00014.html#a7e6309d7350d4bf6b1091728ccb20146">API_INTERNAL_DEVICE_IP_ADDRESS_KEY</a></div><div class="ttdeci">const QString API_INTERNAL_DEVICE_IP_ADDRESS_KEY</div><div class="ttdef"><b>Definition</b> vicoquery.h:31</div></div>
<div class="ttc" id="aa00014_html_a830a44e4f1bd63295d1bbbd8927b15bd"><div class="ttname"><a href="a00014.html#a830a44e4f1bd63295d1bbbd8927b15bd">API_DATAGRAM_FIRMWARE</a></div><div class="ttdeci">const QString API_DATAGRAM_FIRMWARE</div><div class="ttdef"><b>Definition</b> vicoquery.h:11</div></div>
<div class="ttc" id="aa00014_html_a8d49a87c9046275d6ca203967e61cfd6"><div class="ttname"><a href="a00014.html#a8d49a87c9046275d6ca203967e61cfd6">API_INTERNAL_DAEMONLOGLEVEL_KEY</a></div><div class="ttdeci">const QString API_INTERNAL_DAEMONLOGLEVEL_KEY</div><div class="ttdef"><b>Definition</b> vicoquery.h:28</div></div>
<div class="ttc" id="aa00014_html_a9046fa9cf062d7d701a7e8d85da9e82a"><div class="ttname"><a href="a00014.html#a9046fa9cf062d7d701a7e8d85da9e82a">API_INTERNAL_SCANUSBHID</a></div><div class="ttdeci">const QString API_INTERNAL_SCANUSBHID</div><div class="ttdef"><b>Definition</b> vicoquery.h:22</div></div>
<div class="ttc" id="aa00014_html_aa22c14b270d575213ef90374980e8308"><div class="ttname"><a href="a00014.html#aa22c14b270d575213ef90374980e8308">API_INTERNAL_GETDEVICEINFOBYINDEX</a></div><div class="ttdeci">const QString API_INTERNAL_GETDEVICEINFOBYINDEX</div><div class="ttdef"><b>Definition</b> vicoquery.h:13</div></div>
<div class="ttc" id="aa00014_html_aa840ae843ecaef0d07915ee43090bcf8"><div class="ttname"><a href="a00014.html#aa840ae843ecaef0d07915ee43090bcf8">API_INTERNAL_SCANTCP</a></div><div class="ttdeci">const QString API_INTERNAL_SCANTCP</div><div class="ttdef"><b>Definition</b> vicoquery.h:19</div></div>
<div class="ttc" id="aa00014_html_ab95550286f93dfcb2750ad876f73d030"><div class="ttname"><a href="a00014.html#ab95550286f93dfcb2750ad876f73d030">API_INTERNAL_HOST_IP_ADDRESS_KEY</a></div><div class="ttdeci">const QString API_INTERNAL_HOST_IP_ADDRESS_KEY</div><div class="ttdef"><b>Definition</b> vicoquery.h:32</div></div>
<div class="ttc" id="aa00014_html_abac1022b9c4987b2a54b8133e8831b92"><div class="ttname"><a href="a00014.html#abac1022b9c4987b2a54b8133e8831b92">API_INTERNAL_SCANUSB</a></div><div class="ttdeci">const QString API_INTERNAL_SCANUSB</div><div class="ttdef"><b>Definition</b> vicoquery.h:21</div></div>
<div class="ttc" id="aa00014_html_abb43f4d6e8d0cc344cc19c4c09988eba"><div class="ttname"><a href="a00014.html#abb43f4d6e8d0cc344cc19c4c09988eba">API_INTERNAL_GET_PREFERRED_INTERFACE</a></div><div class="ttdeci">const QString API_INTERNAL_GET_PREFERRED_INTERFACE</div><div class="ttdef"><b>Definition</b> vicoquery.h:14</div></div>
<div class="ttc" id="aa00014_html_ac72b2a35a41b23b93423672943e0e865"><div class="ttname"><a href="a00014.html#ac72b2a35a41b23b93423672943e0e865">API_INTERNAL_GETDAEMONLOGLEVEL</a></div><div class="ttdeci">const QString API_INTERNAL_GETDAEMONLOGLEVEL</div><div class="ttdef"><b>Definition</b> vicoquery.h:27</div></div>
<div class="ttc" id="aa00014_html_acd1cf6e1c9660e0f3c6a5774d254b842"><div class="ttname"><a href="a00014.html#acd1cf6e1c9660e0f3c6a5774d254b842">API_INTERNAL_SETDAEMONLOGLEVEL</a></div><div class="ttdeci">const QString API_INTERNAL_SETDAEMONLOGLEVEL</div><div class="ttdef"><b>Definition</b> vicoquery.h:26</div></div>
<div class="ttc" id="aa00014_html_ad859707f7c9a34532f439d38acdffa1f"><div class="ttname"><a href="a00014.html#ad859707f7c9a34532f439d38acdffa1f">API_INTERNAL_DAEMON_CONNECTION</a></div><div class="ttdeci">const QString API_INTERNAL_DAEMON_CONNECTION</div><div class="ttdef"><b>Definition</b> vicoquery.h:34</div></div>
<div class="ttc" id="aa00014_html_ae56e73d9d59ed8b6238fc689179626db"><div class="ttname"><a href="a00014.html#ae56e73d9d59ed8b6238fc689179626db">API_INTERNAL_STOPTCP</a></div><div class="ttdeci">const QString API_INTERNAL_STOPTCP</div><div class="ttdef"><b>Definition</b> vicoquery.h:23</div></div>
<div class="ttc" id="aa00014_html_af5b0aad33c573a8b41198ce110a4c8d7"><div class="ttname"><a href="a00014.html#af5b0aad33c573a8b41198ce110a4c8d7">API_DATA</a></div><div class="ttdeci">const QString API_DATA</div><div class="ttdef"><b>Definition</b> vicoquery.h:10</div></div>
<div class="ttc" id="aa00014_html_afd96ef7c95c544388e074d8c03dd4666"><div class="ttname"><a href="a00014.html#afd96ef7c95c544388e074d8c03dd4666">API_INTERNAL_REMOVE_DEVICE_CONNECTION</a></div><div class="ttdeci">const QString API_INTERNAL_REMOVE_DEVICE_CONNECTION</div><div class="ttdef"><b>Definition</b> vicoquery.h:33</div></div>
<div class="ttc" id="aa00014_html_aff1ff3a5e1994991f73292bf8484d19b"><div class="ttname"><a href="a00014.html#aff1ff3a5e1994991f73292bf8484d19b">API_INTERNAL_SETHOSTIPADDRESS</a></div><div class="ttdeci">const QString API_INTERNAL_SETHOSTIPADDRESS</div><div class="ttdef"><b>Definition</b> vicoquery.h:29</div></div>
<div class="ttc" id="aa00086_html"><div class="ttname"><a href="a00086.html">VicoQuery</a></div><div class="ttdoc">The VicoQuery class handles the requests and responses from host side to/from the VICODaemon and henc...</div><div class="ttdef"><b>Definition</b> vicoquery.h:39</div></div>
<div class="ttc" id="aa00086_html_a02a803c439dca07dd1b628862c3d2947"><div class="ttname"><a href="a00086.html#a02a803c439dca07dd1b628862c3d2947">VicoQuery::API_MCU_DATAGRAM_ENABLE</a></div><div class="ttdeci">const QString API_MCU_DATAGRAM_ENABLE</div><div class="ttdef"><b>Definition</b> vicoquery.h:102</div></div>
<div class="ttc" id="aa00086_html_a05816ef09ace76197de49763cb05760c"><div class="ttname"><a href="a00086.html#a05816ef09ace76197de49763cb05760c">VicoQuery::onDataReceived</a></div><div class="ttdeci">void onDataReceived()</div></div>
<div class="ttc" id="aa00086_html_a06ae574c3b84b491740508705d1be6b2"><div class="ttname"><a href="a00086.html#a06ae574c3b84b491740508705d1be6b2">VicoQuery::API_MCU_LENGTH</a></div><div class="ttdeci">const QString API_MCU_LENGTH</div><div class="ttdef"><b>Definition</b> vicoquery.h:105</div></div>
<div class="ttc" id="aa00086_html_a1280d4b09d59f63cad2653318b778b16"><div class="ttname"><a href="a00086.html#a1280d4b09d59f63cad2653318b778b16">VicoQuery::socketHasErrors</a></div><div class="ttdeci">bool socketHasErrors</div><div class="ttdef"><b>Definition</b> vicoquery.h:110</div></div>
<div class="ttc" id="aa00086_html_a1802284730891a29060a3e6cab532272"><div class="ttname"><a href="a00086.html#a1802284730891a29060a3e6cab532272">VicoQuery::jsonReceived</a></div><div class="ttdeci">void jsonReceived(const QJsonDocument &amp;jsonDoc)</div></div>
<div class="ttc" id="aa00086_html_a183cf5f7bae87d5d3624c9ab97ad2249"><div class="ttname"><a href="a00086.html#a183cf5f7bae87d5d3624c9ab97ad2249">VicoQuery::reportError</a></div><div class="ttdeci">void reportError(QLocalSocket::LocalSocketError socketError)</div></div>
<div class="ttc" id="aa00086_html_a268c1876c5b2b6a9740542254d83bcd2"><div class="ttname"><a href="a00086.html#a268c1876c5b2b6a9740542254d83bcd2">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;request, const QString &amp;fromIpAddress, const QString &amp;toIpAddress, const bool &amp;useBinding)</div></div>
<div class="ttc" id="aa00086_html_a29aeafb7a1d3ec392788d1ccf4c12794"><div class="ttname"><a href="a00086.html#a29aeafb7a1d3ec392788d1ccf4c12794">VicoQuery::onDisconnected</a></div><div class="ttdeci">void onDisconnected()</div></div>
<div class="ttc" id="aa00086_html_a359c03477f18f0d95c0cf7627b22eb16"><div class="ttname"><a href="a00086.html#a359c03477f18f0d95c0cf7627b22eb16">VicoQuery::wait</a></div><div class="ttdeci">std::atomic_bool wait</div><div class="ttdef"><b>Definition</b> vicoquery.h:117</div></div>
<div class="ttc" id="aa00086_html_a367aeb03e87f0685a3a560b6713cb4ea"><div class="ttname"><a href="a00086.html#a367aeb03e87f0685a3a560b6713cb4ea">VicoQuery::doWait</a></div><div class="ttdeci">void doWait(WaitType type=WaitType::Bytes, qint64 msec=30000)</div></div>
<div class="ttc" id="aa00086_html_a36e50331980fe542b661b1b1cb041ab7"><div class="ttname"><a href="a00086.html#a36e50331980fe542b661b1b1cb041ab7">VicoQuery::API_MCU_CRC</a></div><div class="ttdeci">const QString API_MCU_CRC</div><div class="ttdef"><b>Definition</b> vicoquery.h:104</div></div>
<div class="ttc" id="aa00086_html_a38d802a925ecf5e699f1a4f9f190e708"><div class="ttname"><a href="a00086.html#a38d802a925ecf5e699f1a4f9f190e708">VicoQuery::API_DATAGRAM_TO_IP</a></div><div class="ttdeci">const QString API_DATAGRAM_TO_IP</div><div class="ttdef"><b>Definition</b> vicoquery.h:80</div></div>
<div class="ttc" id="aa00086_html_a39542a9eba7e4092dbd594909ed76417"><div class="ttname"><a href="a00086.html#a39542a9eba7e4092dbd594909ed76417">VicoQuery::API_DATAGRAM_DATA</a></div><div class="ttdeci">const QString API_DATAGRAM_DATA</div><div class="ttdef"><b>Definition</b> vicoquery.h:96</div></div>
<div class="ttc" id="aa00086_html_a46337d2742c581e71032db1d15d0042d"><div class="ttname"><a href="a00086.html#a46337d2742c581e71032db1d15d0042d">VicoQuery::API_MCU_PROTOCOL_VERSION</a></div><div class="ttdeci">const QString API_MCU_PROTOCOL_VERSION</div><div class="ttdef"><b>Definition</b> vicoquery.h:103</div></div>
<div class="ttc" id="aa00086_html_a4b5d629278170fb51627c36772e788ba"><div class="ttname"><a href="a00086.html#a4b5d629278170fb51627c36772e788ba">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(quint64 deviceId, quint8 pid, quint8 command, quint16 data, quint16 size=4)</div></div>
<div class="ttc" id="aa00086_html_a50507ce10620cb878178ed28bc83d8c2"><div class="ttname"><a href="a00086.html#a50507ce10620cb878178ed28bc83d8c2">VicoQuery::API_DATAGRAM_REQUEST</a></div><div class="ttdeci">const QString API_DATAGRAM_REQUEST</div><div class="ttdef"><b>Definition</b> vicoquery.h:76</div></div>
<div class="ttc" id="aa00086_html_a5674e87bcb3423624ab64c9184ef7f89"><div class="ttname"><a href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89">VicoQuery::WaitType</a></div><div class="ttdeci">WaitType</div><div class="ttdef"><b>Definition</b> vicoquery.h:119</div></div>
<div class="ttc" id="aa00086_html_a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c"><div class="ttname"><a href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c">VicoQuery::Disconnection</a></div><div class="ttdeci">@ Disconnection</div><div class="ttdef"><b>Definition</b> vicoquery.h:121</div></div>
<div class="ttc" id="aa00086_html_a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c"><div class="ttname"><a href="a00086.html#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">VicoQuery::Bytes</a></div><div class="ttdeci">@ Bytes</div><div class="ttdef"><b>Definition</b> vicoquery.h:120</div></div>
<div class="ttc" id="aa00086_html_a5a583df02aec4dbaefe4a4f9512e655e"><div class="ttname"><a href="a00086.html#a5a583df02aec4dbaefe4a4f9512e655e">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(quint64 deviceId, quint8 pid, quint8 command, quint16 segmentNumber, uchar *firmwareSection)</div></div>
<div class="ttc" id="aa00086_html_a5bfb0ef289457699d750e658abfd19e5"><div class="ttname"><a href="a00086.html#a5bfb0ef289457699d750e658abfd19e5">VicoQuery::crc16</a></div><div class="ttdeci">quint16 crc16(quint8 *data, quint8 offset, quint8 length) const</div></div>
<div class="ttc" id="aa00086_html_a5df32a64cf2e2af065bb458e944e1f42"><div class="ttname"><a href="a00086.html#a5df32a64cf2e2af065bb458e944e1f42">VicoQuery::API_DATAGRAM_UDPSCAN_IP</a></div><div class="ttdeci">const QString API_DATAGRAM_UDPSCAN_IP</div><div class="ttdef"><b>Definition</b> vicoquery.h:82</div></div>
<div class="ttc" id="aa00086_html_a609f8463820d3d2edea41359384db123"><div class="ttname"><a href="a00086.html#a609f8463820d3d2edea41359384db123">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;request, const QString &amp;fromIpAddress, const quint8, const bool &amp;useBinding)</div></div>
<div class="ttc" id="aa00086_html_a683f5665bf529328a56ade89e73c40b7"><div class="ttname"><a href="a00086.html#a683f5665bf529328a56ade89e73c40b7">VicoQuery::onConnected</a></div><div class="ttdeci">void onConnected()</div></div>
<div class="ttc" id="aa00086_html_a68e9ba5dd1a19bb9cd86d7781115d2c0"><div class="ttname"><a href="a00086.html#a68e9ba5dd1a19bb9cd86d7781115d2c0">VicoQuery::VicoQuery</a></div><div class="ttdeci">VicoQuery()</div></div>
<div class="ttc" id="aa00086_html_a6d39a0e96b29b537caad8f3bc558da3b"><div class="ttname"><a href="a00086.html#a6d39a0e96b29b537caad8f3bc558da3b">VicoQuery::API_DATAGRAM_UDPSCAN_SUBNETMASK</a></div><div class="ttdeci">const QString API_DATAGRAM_UDPSCAN_SUBNETMASK</div><div class="ttdef"><b>Definition</b> vicoquery.h:84</div></div>
<div class="ttc" id="aa00086_html_a72805c83813b1f2965cc141b7389b78c"><div class="ttname"><a href="a00086.html#a72805c83813b1f2965cc141b7389b78c">VicoQuery::socket</a></div><div class="ttdeci">QLocalSocket socket</div><div class="ttdef"><b>Definition</b> vicoquery.h:107</div></div>
<div class="ttc" id="aa00086_html_a7992fbf97547dc9a2722ae227f80b485"><div class="ttname"><a href="a00086.html#a7992fbf97547dc9a2722ae227f80b485">VicoQuery::crc16LE</a></div><div class="ttdeci">quint16 crc16LE(quint8 *data, quint8 offset, quint8 length) const</div></div>
<div class="ttc" id="aa00086_html_a809b4703e53ffe06b6b32f0e4a243d3c"><div class="ttname"><a href="a00086.html#a809b4703e53ffe06b6b32f0e4a243d3c">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;request, quint8 index)</div></div>
<div class="ttc" id="aa00086_html_a85f7ccd79963b16d952eb5e93ccba4ba"><div class="ttname"><a href="a00086.html#a85f7ccd79963b16d952eb5e93ccba4ba">VicoQuery::API_DATAGRAM_FROM_IP</a></div><div class="ttdeci">const QString API_DATAGRAM_FROM_IP</div><div class="ttdef"><b>Definition</b> vicoquery.h:78</div></div>
<div class="ttc" id="aa00086_html_a869e72ce54480f78ddc261f6e50012a8"><div class="ttname"><a href="a00086.html#a869e72ce54480f78ddc261f6e50012a8">VicoQuery::connectToServer</a></div><div class="ttdeci">void connectToServer()</div></div>
<div class="ttc" id="aa00086_html_a87e3447c5f051d1d3d35bb5116205cb3"><div class="ttname"><a href="a00086.html#a87e3447c5f051d1d3d35bb5116205cb3">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;id)</div></div>
<div class="ttc" id="aa00086_html_a8b88ad6b2b8a7cd3938a678bd930411e"><div class="ttname"><a href="a00086.html#a8b88ad6b2b8a7cd3938a678bd930411e">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;request, quint64 deviceId, quint8 preferredInterface)</div></div>
<div class="ttc" id="aa00086_html_a8d9030558809e6ac7295a892c0f05bfe"><div class="ttname"><a href="a00086.html#a8d9030558809e6ac7295a892c0f05bfe">VicoQuery::API_DATAGRAM_DEVICE</a></div><div class="ttdeci">const QString API_DATAGRAM_DEVICE</div><div class="ttdef"><b>Definition</b> vicoquery.h:88</div></div>
<div class="ttc" id="aa00086_html_a8fc210aa881f02f3fa8b6ce27ce0a972"><div class="ttname"><a href="a00086.html#a8fc210aa881f02f3fa8b6ce27ce0a972">VicoQuery::dataReceived</a></div><div class="ttdeci">void dataReceived()</div></div>
<div class="ttc" id="aa00086_html_a9181d8f45c1c6292517e0b00d8db73ec"><div class="ttname"><a href="a00086.html#a9181d8f45c1c6292517e0b00d8db73ec">VicoQuery::API_DATAGRAM_SIZE</a></div><div class="ttdeci">const QString API_DATAGRAM_SIZE</div><div class="ttdef"><b>Definition</b> vicoquery.h:100</div></div>
<div class="ttc" id="aa00086_html_a9df4e33e1b37e3b2031f0a9943c47cb0"><div class="ttname"><a href="a00086.html#a9df4e33e1b37e3b2031f0a9943c47cb0">VicoQuery::API_DATAGRAM_ETH_SCAN_USE_BINDING</a></div><div class="ttdeci">const QString API_DATAGRAM_ETH_SCAN_USE_BINDING</div><div class="ttdef"><b>Definition</b> vicoquery.h:86</div></div>
<div class="ttc" id="aa00086_html_aa63e4142898bd0583e114cc6e7ce14e2"><div class="ttname"><a href="a00086.html#aa63e4142898bd0583e114cc6e7ce14e2">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;request, quint64 deviceId)</div></div>
<div class="ttc" id="aa00086_html_ab57f8f93ecece51ed609f0c3765f4504"><div class="ttname"><a href="a00086.html#ab57f8f93ecece51ed609f0c3765f4504">VicoQuery::blockSize</a></div><div class="ttdeci">quint32 blockSize</div><div class="ttdef"><b>Definition</b> vicoquery.h:108</div></div>
<div class="ttc" id="aa00086_html_ab6de25ffc17197c525d860fa07167895"><div class="ttname"><a href="a00086.html#ab6de25ffc17197c525d860fa07167895">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(quint64 deviceId, quint8 ver, quint8 cix, quint8 cl, quint16 requestedDataLength, int dataByteCount,...)</div></div>
<div class="ttc" id="aa00086_html_ac7ceec3e87f7cfb746a1f33697742718"><div class="ttname"><a href="a00086.html#ac7ceec3e87f7cfb746a1f33697742718">VicoQuery::API_DATAGRAM_DEVICEINDEX</a></div><div class="ttdeci">const QString API_DATAGRAM_DEVICEINDEX</div><div class="ttdef"><b>Definition</b> vicoquery.h:92</div></div>
<div class="ttc" id="aa00086_html_acc43a6451778a10375f7e4261368f8c0"><div class="ttname"><a href="a00086.html#acc43a6451778a10375f7e4261368f8c0">VicoQuery::API_DATAGRAM_CMD</a></div><div class="ttdeci">const QString API_DATAGRAM_CMD</div><div class="ttdef"><b>Definition</b> vicoquery.h:98</div></div>
<div class="ttc" id="aa00086_html_ad484cd2d3a7beb69fe65d0e2817d1e43"><div class="ttname"><a href="a00086.html#ad484cd2d3a7beb69fe65d0e2817d1e43">VicoQuery::execute</a></div><div class="ttdeci">QJsonObject execute(const QString &amp;request, QVariant data)</div></div>
<div class="ttc" id="aa00086_html_ad5ab4c07b7b9f44e5ef7f7450c719068"><div class="ttname"><a href="a00086.html#ad5ab4c07b7b9f44e5ef7f7450c719068">VicoQuery::lastResult</a></div><div class="ttdeci">QJsonObject lastResult</div><div class="ttdef"><b>Definition</b> vicoquery.h:109</div></div>
<div class="ttc" id="aa00086_html_ad7f18f55e68b670055865faebd110e2b"><div class="ttname"><a href="a00086.html#ad7f18f55e68b670055865faebd110e2b">VicoQuery::API_DATAGRAM_INTERFACE</a></div><div class="ttdeci">const QString API_DATAGRAM_INTERFACE</div><div class="ttdef"><b>Definition</b> vicoquery.h:90</div></div>
<div class="ttc" id="aa00086_html_aece5537b13baf9462b4468c8abf0a5cd"><div class="ttname"><a href="a00086.html#aece5537b13baf9462b4468c8abf0a5cd">VicoQuery::connected</a></div><div class="ttdeci">std::atomic_bool connected</div><div class="ttdef"><b>Definition</b> vicoquery.h:118</div></div>
<div class="ttc" id="aa00086_html_af29ec6fb07a3d40c8432b14bca9b8b8f"><div class="ttname"><a href="a00086.html#af29ec6fb07a3d40c8432b14bca9b8b8f">VicoQuery::API_DATAGRAM_ID</a></div><div class="ttdeci">const QString API_DATAGRAM_ID</div><div class="ttdef"><b>Definition</b> vicoquery.h:94</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fe06972e53893249adce5a50c45e9385.html">impl</a></li><li class="navelem"><a class="el" href="dir_be24af3b036aa4b3bfccb0b5b265ec43.html">VicoLib</a></li><li class="navelem"><a class="el" href="dir_17da06094344a942cf65018f35dcca64.html">impl</a></li><li class="navelem"><a class="el" href="a00014.html">vicoquery.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
